### Method

# Gio SimpleAsyncResult take_error

deprecated: 2.46 since: 2.28

#### Declaration

    void
    g_simple_async_result_take_error (
      GSimpleAsyncResult* simple,
      GError* error
    )

#### Description

Sets the result from `error`, and takes over the caller’s ownership of `error`, so the caller does not need to free it any more.

Available since: 2.28

Deprecated since: 2.46

Use `GTask` and `g_task_return_error()` instead.

This method is not directly available to language bindings.

#### Parameters

`error`

  Type: `GError`

  A `GError`.

  The data is owned by the caller of the method.